HttpConnectionManagerParams (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.params.HttpConnectionManagerParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.params
Class HttpConnectionManagerParams

    java.lang.Object
      org.apache.commons.httpclient.params.DefaultHttpParams
          org.apache.commons.httpclient.params.HttpConnectionParams
              org.apache.commons.httpclient.params.HttpConnectionManagerParams

All Implemented Interfaces:
  Serializable, Cloneable, HttpParams

    public class HttpConnectionManagerParams

extends HttpConnectionParams

This class represents a collection of HTTP protocol parameters applicable to `HTTP connection managers`. Protocol parameters may be linked together to form a hierarchy. If a particular parameter value has not been explicitly defined in the collection itself, its value will be drawn from the parent collection of parameters.

Since:
  3.0
Version:
  $Revision: 480424 $
Author:
  Oleg Kalnichevski, Michael Becke
See Also:
  Serialized Form

Field Summary
`static String` | `MAX_HOST_CONNECTIONS` Defines the maximum number of connections allowed per host configuration.
`static String` | `MAX_TOTAL_CONNECTIONS` Defines the maximum number of connections allowed overall.

Fields inherited from class org.apache.commons.httpclient.params.HttpConnectionParams
`CONNECTION_TIMEOUT, SO_LINGER, SO_RCVBUF, SO_SNDBUF, SO_TIMEOUT, STALE_CONNECTION_CHECK, TCP_NODELAY`

Constructor Summary
`HttpConnectionManagerParams()`

Method Summary
`int` | `getDefaultMaxConnectionsPerHost()` Gets the default maximum number of connections allowed for a given host config.
`int` | `getMaxConnectionsPerHost(HostConfiguration hostConfiguration)` Gets the maximum number of connections to be used for a particular host config.
`int` | `getMaxTotalConnections()` Gets the maximum number of connections allowed.
`void` | `setDefaultMaxConnectionsPerHost(int maxHostConnections)` Sets the default maximum number of connections allowed for a given host config.
`void` | `setMaxConnectionsPerHost(HostConfiguration hostConfiguration, int maxHostConnections)` Sets the maximum number of connections to be used for the given host config.
`void` | `setMaxTotalConnections(int maxTotalConnections)` Sets the maximum number of connections allowed.

Methods inherited from class org.apache.commons.httpclient.params.HttpConnectionParams
`getConnectionTimeout, getLinger, getReceiveBufferSize, getSendBufferSize, getSoTimeout, getTcpNoDelay, isStaleCheckingEnabled, setConnectionTimeout, setLinger, setReceiveBufferSize, setSendBufferSize, setSoTimeout, setStaleCheckingEnabled, setTcpNoDelay`

Methods inherited from class org.apache.commons.httpclient.params.DefaultHttpParams
`clear, clone, getBooleanParameter, getDefaultParams, getDefaults, getDoubleParameter, getIntParameter, getLongParameter, getParameter, isParameterFalse, isParameterSet, isParameterSetLocally, isParameterTrue, setBooleanParameter, setDefaults, setDoubleParameter, setHttpParamsFactory, setIntParameter, setLongParameter, setParameter, setParameters`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_HOST_CONNECTIONS

    public static final String MAX_HOST_CONNECTIONS

  Defines the maximum number of connections allowed per host configuration. These values only apply to the number of connections from a particular instance of HttpConnectionManager.

  This parameter expects a value of type `Map`. The value should map instances of `HostConfiguration` to `integers`. The default value can be specified using `HostConfiguration.ANY_HOST_CONFIGURATION`.

  See Also:
    Constant Field Values

### MAX_TOTAL_CONNECTIONS

    public static final String MAX_TOTAL_CONNECTIONS

  Defines the maximum number of connections allowed overall. This value only applies to the number of connections from a particular instance of HttpConnectionManager.

  This parameter expects a value of type `Integer`.

  See Also:
    Constant Field Values

Constructor Detail

### HttpConnectionManagerParams

    public HttpConnectionManagerParams()

Method Detail

### setDefaultMaxConnectionsPerHost

    public void setDefaultMaxConnectionsPerHost(int maxHostConnections)

  Sets the default maximum number of connections allowed for a given host config.

  Parameters:
    `maxHostConnections` - The default maximum.
  See Also:
    `MAX_HOST_CONNECTIONS`

### setMaxConnectionsPerHost

    public void setMaxConnectionsPerHost(HostConfiguration hostConfiguration,
                                         int maxHostConnections)

  Sets the maximum number of connections to be used for the given host config.

  Parameters:
    `hostConfiguration` - The host config to set the maximum for. Use `HostConfiguration.ANY_HOST_CONFIGURATION` to configure the default value per host.
    `maxHostConnections` - The maximum number of connections, `> 0`
  See Also:
    `MAX_HOST_CONNECTIONS`

### getDefaultMaxConnectionsPerHost

    public int getDefaultMaxConnectionsPerHost()

  Gets the default maximum number of connections allowed for a given host config.

  Returns:
    The default maximum.
  See Also:
    `MAX_HOST_CONNECTIONS`

### getMaxConnectionsPerHost

    public int getMaxConnectionsPerHost(HostConfiguration hostConfiguration)

  Gets the maximum number of connections to be used for a particular host config. If the value has not been specified for the given host the default value will be returned.

  Parameters:
    `hostConfiguration` - The host config.
  Returns:
    The maximum number of connections to be used for the given host config.
  See Also:
    `MAX_HOST_CONNECTIONS`

### setMaxTotalConnections

    public void setMaxTotalConnections(int maxTotalConnections)

  Sets the maximum number of connections allowed.

  Parameters:
    `maxTotalConnections` - The maximum number of connections allowed.
  See Also:
    `MAX_TOTAL_CONNECTIONS`

### getMaxTotalConnections

    public int getMaxTotalConnections()

  Gets the maximum number of connections allowed.

  Returns:
    The maximum number of connections allowed.
  See Also:
    `MAX_TOTAL_CONNECTIONS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.